[Swift-commit] r4243 - in SwiftApps/Montage: . exec templates

jonmon at ci.uchicago.edu jonmon at ci.uchicago.edu
Sat Apr 2 17:09:30 CDT 2011


Author: jonmon
Date: 2011-04-02 17:09:30 -0500 (Sat, 02 Apr 2011)
New Revision: 4243

Added:
   SwiftApps/Montage/exec/
   SwiftApps/Montage/exec/montage.sh
   SwiftApps/Montage/exec/sites.properties
   SwiftApps/Montage/templates/
   SwiftApps/Montage/templates/pads-coasters.xml
Log:
o SwiftApps/Montage/exec
o SwiftApps/Montage/templates
  -- Added directories to for the montage run script. Still being worked on.


Added: SwiftApps/Montage/exec/montage.sh
===================================================================
--- SwiftApps/Montage/exec/montage.sh	                        (rev 0)
+++ SwiftApps/Montage/exec/montage.sh	2011-04-02 22:09:30 UTC (rev 4243)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+EXPECTED_ARGS=1
+
+if [ $# -ne $EXPECTED_ARGS ]
+then
+    echo "Did not specify how many workers are to be run"
+    exit 1
+fi
+
+RUN_DIRECTORY=(`ls | grep run`)
+len=${#RUN_DIRECTORY[*]}
+WORK_DIRECTORY=(`printf "run.%04d" $len`)
+
+mkdir ${WORK_DIRECTORY}
+
+echo "#site work=/gpfs/pads/jonmon/Swift/work/pads" >> sites.properties
+echo "#site slots=$1" >> sites.properties
+
+gensites -L ${SWIFT_MONTAGE}/templates -p sites.properties pads-coasters.xml > sites.xml
+
+rm -f sites.properties
+
+mv sites.xml ${WORK_DIRECTORY}
+mv tc.data ${WORK_DIRECTORY}
+cp montage.swift ${WORK_DIRECTORY}
+
+#clear ; swiftrun -sites localhost pads -input raw_dir header.hdr -script m101_montage.swift


Property changes on: SwiftApps/Montage/exec/montage.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: SwiftApps/Montage/exec/sites.properties
===================================================================
--- SwiftApps/Montage/exec/sites.properties	                        (rev 0)
+++ SwiftApps/Montage/exec/sites.properties	2011-04-02 22:09:30 UTC (rev 4243)
@@ -0,0 +1,2 @@
+#site work=/gpfs/pads/swift/jonmon/Swift/work/pads
+#site slots=100

Added: SwiftApps/Montage/templates/pads-coasters.xml
===================================================================
--- SwiftApps/Montage/templates/pads-coasters.xml	                        (rev 0)
+++ SwiftApps/Montage/templates/pads-coasters.xml	2011-04-02 22:09:30 UTC (rev 4243)
@@ -0,0 +1,15 @@
+<pool handle="pads">
+  <execution jobmanager="local:pbs" provider="coaster" />
+  <filesystem provider="local" />
+  <profile key="maxtime" namespace="globus">3600</profile>
+  <profile key="internalhostname" namespace="globus">192.5.86.6</profile>
+  <profile key="jobsPerNode" namespace="globus">1</profile>
+  <profile key="slots" namespace="globus">_SLOTS_</profile>
+  <profile key="nodeGranularity" namespace="globus">1</profile>
+  <profile key="maxNodes" namespace="globus">1</profile>
+  <profile key="queue" namespace="globus">fast</profile>
+  <profile key="jobThrottle" namespace="karajan">1</profile>
+  <profile key="initialScore" namespace="karajan">10000</profile>
+  <profile key="SWIFT_GEN_SCRIPTS" namespace="env">1</profile>
+  <workdirectory>_WORK_</workdirectory>
+</pool>




More information about the Swift-commit mailing list